% Un polinomio se puede representar por una matriz
% fila que da sus coeficientes
p1 = [1,1,1]; % x^2+x+1
p2 = [1,-1,0,1,-1]; % x^4-x^3+x-1
p = conv(p1,p2); % El producto es x^6-1

x = 0:2;
polyval(p,x)

% En matlab/octave el polinomio de interpolación se 
% puede calcular con la función nativa
% polyfit(x,y,n)

n = 10;
x = linspace(-pi,pi,n+1);
y = sin(x);
cpi = polyfit(x,y,n);
% polyfit con un n menor da la 
% aproximación de mínimos cuadrados
t = linspace(-pi,pi,300);
figure(1)
plot(x,y,'bo', t,sin(t),'r--')
hold on
plot(t, polyval(cpi,t),'g');
hold off



